<?php
#########################################
# Скрипт онлайн игры "Симс"_____________#
# Автор: -=FеST=-_______________________#
# ICQ : 345-22-23 ______________________#
# Все права принадлежат автору(-=FeST=-)#
#########################################
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
$set['title']='The Sims';
include_once '../sys/inc/thead.php';
title();
err();
aut();

if(!isset($user)){
echo 'Вы неавторизованы';
include_once '../sys/inc/tfoot.php';
exit;
}

include_once 'inc/start.php';

if($user_id == 1)
{	
if(isset($_GET['ok']))echo "<b>Успешно добавлено!</b>";
	
	echo "<div class='".$diz['post_1']."'>
	&raquo; <a href='sims_admin.php?mode=add_item'>Добавить вещь</a><br/>
	&raquo; <a href='sims_admin.php?mode=work'>Добавить вакансии</a><br/>
	&raquo; <a href='sims_admin.php?mode=present'>Добавить подарки</a><br/>
	&raquo; <a href='sims_admin.php?mode=bank'>Управление банком</a><br/>
	&raquo; <a href='sims_admin.php?mode=credit'>Начислить кредитов</a><br/>
	
	
	
</div>	<div class='".$diz['post_1']."'>";




$get = sims_in($_GET['mode']);
switch($get)
{
	case 'credit_user':
		$id=abs(intval($_POST['id']));
		if(mysql_result(mysql_query("SELECT COUNT(*) FROM `sims_user` WHERE `id_u`='".$id."'"),0)==0)
		{
		header("Location:sims_admin.php?mode=credit&");
		exit;
		}
		if(isset($_POST['submit_3']))
		{
		$id = abs($_POST['id']);
		$credit = abs($_POST['credit']);
			mysql_query("UPDATE `sims_user` SET `credits`='".$credit."' WHERE `id_u`='".$id."'");
		header("Location:sims_admin.php?ok&mode=credit");
		exit;
		}
	echo "
	".mysql_result(mysql_query("SELECT `name` FROM `sims_user` WHERE `id_u`='".$id."'"),0)." ".mysql_result(mysql_query("SELECT `fam` FROM `sims_user` WHERE `id_u`='".$id."'"),0)."
	<form method='post' enctype='multipart/form-data' action='sims_admin.php?mode=credit_user'>
	<br/>
	ID пользователя<br/>
	<input name='id' value='".$id."'/>
	<br/>
	Кредиты<br/>
	<input name='credit' value='".mysql_result(mysql_query("SELECT `credits` FROM `sims_user` WHERE `id_u`='".$id."'"),0)."'/>
	<br/>
	
	<input name='submit_3' value='Изменить' type='submit' />
	</form>";
	break;
	case 'credit':
		
	echo "<form method='post' enctype='multipart/form-data' action='sims_admin.php?mode=credit_user'>
	
	ID пользователя<br/>
	<input name='id'/>
	<br/>
	
	<input name='submit' value='Поиск' type='submit' />
	</form>";
	break;
	case 'bank':
		
		if(isset($_POST['submit']))
		{
		$wmr = abs($_POST['wmr']);
		$wmu = abs($_POST['wmu']);
		$wmz = abs($_POST['wmz']);
		$wmr_c = abs($_POST['wmr_c']);
		$wmu_c = abs($_POST['wmu_c']);
		$wmz_c = abs($_POST['wmz_c']);
		$open = $_POST['n1']==0 ? 0 : 1;
		mysql_query("DELETE FROM `sims_setting`");
		mysql_query("INSERT INTO `sims_setting`(`wmr`,`wmu`,`wmz`,`wmr_c`,`wmu_c`,`wmz_c`,`open_bank`) VALUES('".$wmr."','".$wmu."','".$wmz."','".$wmr_c."','".$wmu_c."','".$wmz_c."','".$open."')");
		header("Location:sims_admin.php?ok&mode=bank");
		exit;
		}
		$set = mysql_fetch_array(mysql_query("SELECT * FROM `sims_setting`"));
	echo "<form method='post' enctype='multipart/form-data' action='sims_admin.php?mode=bank'>
	
	WMR -  кошелек<br/>
	<input name='wmr' value='".sims_in($set['wmr'])."'/>
	<br/>
	WMU -  кошелек<br/>
	<input name='wmu' value='".sims_in($set['wmu'])."' />
	<br/>
	WMZ -  кошелек<br/>
	<input name='wmz' value='".sims_in($set['wmz'])."' />
	<br/>
	1кредит =
	<input size='2' name='wmr_c' value='".sims_in($set['wmr_c'])."'/>WMR<br/>
	1кредит =
	<input size='2' name='wmu_c' value='".sims_in($set['wmu_c'])."'/>WMU<br/>
	1кредит =
	<input size='2' name='wmz_c' value='".sims_in($set['wmz_c'])."'/>WMZ<br/>
	<br/>
	<select name='n1'>
	<option value='1'>Открыть банк</option>
	<option value='0'>Закрыть банк</option>
	</select>
	<br/>
	
	<input name='submit' value='Изменить' type='submit' />
	</form>";
	break;
	case 'work':
		
		if(isset($_POST['submit']))
		{
		$name = sims_in($_POST['name']);
		$zp = abs(intval($_POST['zp']));
		$time = abs(intval($_POST['time']));
		$n1 = sims_in($_POST['n1']);
		mysql_query("INSERT INTO `sims_work`(`name`,`zp`,`time`,`skill`) VALUES('".$name."','".$zp."','".$time."','".$n1."')");
		header("Location:sims_admin.php?ok&mode=work");
		exit;
		}
	echo "<form method='post' enctype='multipart/form-data' action='sims_admin.php?mode=work'>
	
	Название<br/>
	<input name='name' />
	<br/>
	Зарплата<br/>
	<input size='2' name='zp' value='0'/><br/>
	Развитие навыков <br/>
	<select name='n1'>
	<option value='n'>Ничего</option>
	<option value='culinaria'>Кулинария</option>
	<option value='tehnika'>Техника</option>
	<option value='obayanie'>Обаяние</option>
	<option value='culture'>Культура тела</option>
	<option value='medicina'>Медицина</option>
	<option value='logika'>Логика</option>
	<option value='tvorchesto'>Творчество</option>
	<option value='uborka'>Уборка</option>
	</select>
	<br/>
	Время работы (в сек)<br/>
	<input name='time' value='600' /><br/>
	<input name='submit' value='Добавить' type='submit' />
	</form>";
	break;
	
	case 'add_item':
		
		if(isset($_POST['submit']))
		{
		
	if($_FILES["file"]["size"]<=150000){
	$name=sims_in($_POST['name']);
	$cost=sims_in($_POST['cost']);
	$type=sims_in($_POST['type']);
	
	$i1 = sims_in($_POST['n1']);
	$i2 = sims_in($_POST['n2']);
	$i3 = sims_in($_POST['n3']);
	$i4 = sims_in($_POST['n4']);
	$in=($i1!='n' ? $i1 : NULL);
	$in=$in."".($i2!='n' ? ":".$i2 : NULL);
	$in=$in."".($i3!='n' ? ":".$i3 : NULL);
	$in=$in."".($i4!='n' ? ":".$i4 : NULL);
	$culinar = sims_in($_POST['culinar']);
	$comfort = sims_in($_POST['comfort']);
	$nujda = sims_in($_POST['nujda']);
	$bodrost = sims_in($_POST['bodrost']);
	$dosug = sims_in($_POST['dosug']);
	$obshenie = sims_in($_POST['obshenie']);
	$gigiena = sims_in($_POST['gigiena']);
	$yut = sims_in($_POST['yut']);
	$time = sims_in($_POST['time']);
		$add = ($culinar!='' ? "culinar:$culinar:" : NULL).($comfort!='' ? "comfort:$comfort:" : NULL).($nujda!='' ? "nujda:$nujda:" : NULL).($bodrost!='' ? "bodrost:$bodrost:" : NULL).($dosug!='' ? "dosug:$dosug:" : NULL).($obshenie!='' ? "obshenie:$obshenie:" : NULL).($gigiena!='' ? "gigiena:$gigiena:" : NULL).($yut!='' ? "yut:$yut" : NULL); 
		mysql_query("INSERT INTO `sims_item`(`name`,`type`,`cost`,`plus`,`exp`,`time`) VALUES('".$name."','".$type."','".$cost."','".$add."','".$in."','".$time."')");

			$io=mysql_insert_id();
	$newfile=$_FILES['file']['tmp_name'];
	$file=strtolower($_FILES['file']['name']);
	$file=pathinfo($file, PATHINFO_EXTENSION);//расширение файла
	$arrays='png';//доступные расширения файла
	$myfile_type = $_FILES["file"]["type"];
	$size=getimagesize($newfile);
	
		if(get_file_type_sims($file,$arrays)==false){
		echo "Загруженный файл имеет некоректное расширение(доступные: .png)<br/>-<a href='sims_admin.php?".mt_rand()."'>Назад</a><br/>";
		unlink($_FILES['file']['tmp_name']);

		exit;
		}
	
		if($size[0]>44 || $size[1]>44){
		echo "Загруженный файл превышает допустимые размеры(44х44)!<br/>-<a href='sims_admin.php?".mt_rand()."'>Назад</a><br/>";
		unlink($_FILES['file']['tmp_name']);
		exit;
		}
		if($myfile_type!='image/png'){
		echo "Загруженный файл не является картинкой!<br/>-<a href='sims_admin.php?".mt_rand()."'>Назад</a><br/>";
		unlink($_FILES['file']['tmp_name']);
		exit;
		}
	

	
	$path='i/b_'.$io.'.'.$file;
	move_uploaded_file($newfile,$path);
	
	}
	header("Location:sims_admin.php?ok&mode=add_item");
	exit;
		
		}
	echo "<form method='post' enctype='multipart/form-data' action='sims_admin.php?mode=add_item'>
	Картинка(размер не более 44х44, .png):<br/>
	<input type='file' name='file' /><br/>
	Название<br/>
	<input name='name' />
	<br/>
	Тип вещи:
	<br/>
	<select name='type'>
	<option value='bed'>Кровати</option>
	<option value='cabinet'>Шкафы</option>
	<option value='chair'>Стулья, кресла</option>
	<option value='enter'>Развлечения</option>
	<option value='jac'>Джакузи</option>
	<option value='ykr'>Украшения</option>
	<option value='bit'>Бытовые приборы</option>
	<option value='osv'>Освещение</option>
	<option value='polki'>Полки</option>
	<option value='dush'>Души</option>
	<option value='divan'>Диваны</option>
	<option value='tumb'>Тумбочки</option>
	<option value='stol'>Столы</option>
	<option value='teh'>Техника</option>
	<option value='toilet'>Туалеты</option>
	<option value='moi'>Мойки</option>
	</select><br/>
	Стоимость<br/>
	<input name='cost' />
	<br/>
	Развитие навыков <br/>
	#1<br/>
	<select name='n1'>
	<option value='n'>Ничего</option>
	<option value='culinaria'>Кулинария</option>
	<option value='tehnika'>Техника</option>
	<option value='obayanie'>Обаяние</option>
	<option value='culture'>Культура тела</option>
	<option value='medicina'>Медицина</option>
	<option value='logika'>Логика</option>
	<option value='tvorchesto'>Творчество</option>
	<option value='uborka'>Уборка</option>
	</select>
	<br/>
	#2<br/>
	<select name='n2'>
	<option value='n'>Ничего</option>
	<option value='culinaria'>Кулинария</option>
	<option value='tehnika'>Техника</option>
	<option value='obayanie'>Обаяние</option>
		<option value='medicina'>Медицина</option>
	<option value='culture'>Культура тела</option>
	<option value='logika'>Логика</option>
	<option value='tvorchesto'>Творчество</option>
	<option value='uborka'>Уборка</option>
	</select>
	<br/>
	#3<br/>
	<select name='n3'>
	<option value='n'>Ничего</option>
	<option value='culinaria'>Кулинария</option>
	<option value='tehnika'>Техника</option>
	<option value='obayanie'>Обаяние</option>
		<option value='medicina'>Медицина</option>
	<option value='culture'>Культура тела</option>
	<option value='logika'>Логика</option>
	<option value='tvorchesto'>Творчество</option>
	<option value='uborka'>Уборка</option>
	</select>
	<br/>
	#4<br/>
	<select name='n4'>
	<option value='n'>Ничего</option>
	<option value='culinaria'>Кулинария</option>
	<option value='tehnika'>Техника</option>
	<option value='obayanie'>Обаяние</option>
	<option value='culture'>Культура тела</option>
	<option value='logika'>Логика</option>
		<option value='medicina'>Медицина</option>
	<option value='tvorchesto'>Творчество</option>
	<option value='uborka'>Уборка</option>
	</select>
	<br/>
	Потребности <br/>
	Питание <input size='2' name='culinar' value='0'/><br/>
	Комфорт <input size='2' name='comfort' value='0'/><br/>
	Нужда <input size='2' name='nujda' value='0'/><br/>
	Бодрость <input size='2' name='bodrost' value='0'/><br/>
	Досуг <input size='2' name='dosug' value='0'/><br/>
	Общение <input size='2' name='obshenie' value='0'/><br/>
	Гигиена <input size='2' name='gigiena' value='0'/><br/>
	Уют <input size='2' name='yut' value='0'/><br/>
	Время, занимаемое использованием данной вещи(в сек)<br/>
	<input name='time' value='60' /><br/>
	<input name='submit' value='Добавить' type='submit' />
	</form>";
	break;
case 'present':

		if(isset($_POST['submit']))
		{
		
	if($_FILES["file"]["size"]<=150000){
		$last_id = mysql_result(mysql_query("SELECT `id` FROM `sims_present` ORDER BY `id` DESC"),0)+1;
	mysql_query("INSERT INTO `sims_present`(`id`) VALUES('".$last_id."')");

			$io=$last_id;
	$newfile=$_FILES['file']['tmp_name'];
	$file=strtolower($_FILES['file']['name']);
	$file=pathinfo($file, PATHINFO_EXTENSION);//расширение файла
	$arrays='png';//доступные расширения файла
	$myfile_type = $_FILES["file"]["type"];
	$size=getimagesize($newfile);
	
		if(get_file_type_sims($file,$arrays)==false){
		echo "Загруженный файл имеет некоректное расширение(доступные: .png)<br/>-<a href='sims_admin.php?".mt_rand()."'>Назад</a><br/>";
		unlink($_FILES['file']['tmp_name']);

		exit;
		}
	
		if($size[0]>96 || $size[1]>96){
		echo "Загруженный файл превышает допустимые размеры(44х44)!<br/>-<a href='sims_admin.php?".mt_rand()."'>Назад</a><br/>";
		unlink($_FILES['file']['tmp_name']);
		exit;
		}
		if($myfile_type!='image/png'){
		echo "Загруженный файл не является картинкой!<br/>-<a href='sims_admin.php?".mt_rand()."'>Назад</a><br/>";
		unlink($_FILES['file']['tmp_name']);
		exit;
		}
	

	
	$path='i/p_'.$io.'.'.$file;
	move_uploaded_file($newfile,$path);
	
	}
	header("Location:sims_admin.php?ok&mode=present");
	exit;
		
		}
	echo "<form method='post' enctype='multipart/form-data' action='sims_admin.php?mode=present'>
	Картинка(размер не более 96х96, .png):<br/>
	<input type='file' name='file' /><br/>
	
	<input name='submit' value='Добавить' type='submit' />
	</form>";
	break;



}}
echo "</div>";
sims_ret($diz['ret'],'Назад','index.php');
include_once '../sys/inc/tfoot.php';
?>
